Bug 508888 - 64-bit grace should be compiled with -fPIC
64-bit grace should be compiled with -fPIC
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grace (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 08:33 EDT by Kyrre Ness Sjøbæk
Modified: 2009-12-11 13:30 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.1.22-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 13:19:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2009-06-30 08:33:14 EDT
Description of problem:
On 64-bit architecture, compiling other programs against grace is not possible as it is not compiled with -fPIC.

Version-Release number of selected component (if applicable):
5.1.22

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I am trying to compile iAida, which needs grace, as AIDA is needed by GEANT4 - and I cannot use the Fedora-provided Grace because of this.
Comment 1 Bug Zapper 2009-11-18 07:08:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 José Matos 2009-11-19 15:27:41 EST
I am sorry for the delay.

I have requested the build of new packages for rawhide (that are finished: grace-5_1_22-6_fc13).

I have (will at the time I am writing this) requested updates for F-12 and F-11. Please test.
Comment 3 Fedora Update System 2009-11-19 15:41:30 EST
grace-5.1.22-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/grace-5.1.22-6.fc12
Comment 4 Fedora Update System 2009-11-19 15:52:27 EST
grace-5.1.22-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/grace-5.1.22-6.fc11
Comment 5 Fedora Update System 2009-11-24 02:50:50 EST
grace-5.1.22-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update grace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11957
Comment 6 Fedora Update System 2009-11-24 02:56:35 EST
grace-5.1.22-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update grace'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12000
Comment 7 Fedora Update System 2009-12-11 13:19:21 EST
grace-5.1.22-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-12-11 13:30:28 EST
grace-5.1.22-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.